# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiStatusDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiStatusDialog(object):
    def setupUi(self, WifiStatusDialog):
        WifiStatusDialog.setObjectName("WifiStatusDialog")
        WifiStatusDialog.resize(600, 650)
        WifiStatusDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(WifiStatusDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=WifiStatusDialog)
        font = QtGui.QFont()
        font.setPointSize(14)
        font.setBold(True)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.statusTree = QtWidgets.QTreeWidget(parent=WifiStatusDialog)
        self.statusTree.setHeaderHidden(True)
        self.statusTree.setObjectName("statusTree")
        self.statusTree.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.statusTree)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiStatusDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(WifiStatusDialog)
        self.buttonBox.accepted.connect(WifiStatusDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WifiStatusDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiStatusDialog)

    def retranslateUi(self, WifiStatusDialog):
        _translate = QtCore.QCoreApplication.translate
        WifiStatusDialog.setWindowTitle(_translate("WifiStatusDialog", "WiFi Status"))
        self.label.setText(_translate("WifiStatusDialog", "WiFi Status"))
